function [x,par]=steadycap(par)
Beta=par(1); Hc=par(2); Sigma=par(3); Zeeta=par(4); Xi=par(5); Kappa=par(6); Eta=par(7); Hn=par(8);
Phi=par(9); Gamma=par(10); G=par(11); T=par(12); Xiw=par(13); Alpha=par(14); Sadj=par(15); Psi=par(16);
Delta=par(17); Atech=par(18); Phif=par(19); F=par(20); Gamw=par(21);

RK=1/Beta-1+Delta;
K=((1-1/Eta)/Kappa*((1-1/Zeeta)*Atech)^((1+Phi)/(1-Alpha))*(Alpha/RK)^((Alpha+Phi)/(1-Alpha)) ...
    *(1-Alpha)*(RK*(1-T)/(Phif*Alpha*(1-1/Zeeta))-Delta)^(-Sigma)*(1-Hc)^(-Sigma))^(1/(Phi+Sigma));
Y=K*RK/Alpha/(1-1/Zeeta)/Phif;
WR=((1-1/Zeeta)*Atech)^(1/(1-Alpha))*(1-Alpha)*(Alpha/RK)^(Alpha/(1-Alpha));
MC=(1-1/Zeeta);
C=(1-T)*Y-Delta*K;
I=Delta*K;
H=Y*C^(-Sigma)*(1-Hc)^(-Sigma)/(1-Beta*Xi);
HW=WR*((1-Alpha)/Alpha*RK*K/WR)*C^(-Sigma)*(1-Hc)^(-Sigma)/(1-Beta*Xiw);
LAMBDAW=HW;
% ? LAMBDAW=Kappa*1/(1-1/Eta)*(WR^Eta*(1-Alpha)/Alpha*RK*K/WR)^(1+Phi)/(1-Beta*Xiw);
%
%  Y  C  D   DW DWphi CL Z  K I  XI TOBQ MC RK  PY PYL  WR WRL H HW LAMBDA Q LAMBDAW QW
%    L1  L2  L3  L4  L5  L6 L7 L8 L9 L10 L11 L12 L13  L14  L15  L16 L17 L18 L19 L20 L21 L22

% Calculate G and F
G=Y*T;
F=Y*(Phif-1);
par(11)=G; par(20)=F;

x=[Y C 1.0  1.0  1.0  C 1.0 K I 1.0  1.0 MC RK  1.0 1.0 WR  WR H HW  H   1.0 LAMBDAW  1.0  ...
     0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0 0.0]';

